Bug 7116 - Item form when ordering in batch from staged marc has lots of white space for hidden fields
Summary: Item form when ordering in batch from staged marc has lots of white space for...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL: cgi-bin/koha/acqui/addorderiso2709.pl...
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-30 23:16 UTC by Katrin Fischer
Modified: 2012-10-25 23:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot (26.88 KB, image/png)
2011-10-30 23:16 UTC, Katrin Fischer
Details
Bug 7116: White space on item form for bulk ordering from staged file (2.08 KB, patch)
2011-10-30 23:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7116: White space on item form for bulk ordering from staged file (2.28 KB, patch)
2011-11-04 15:13 UTC, Magnus Enger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-30 23:16:31 UTC
Created attachment 6116 [details]
screenshot

AcqCreateItem = on order

To recreate:
1) stage a marc file with 1 - many records
2) make sure you have an acq framework with hidden fields in 952
3) create new basket
4) order from your marc file
5) check item form below the record list for white space
Comment 1 Katrin Fischer 2011-10-30 23:24:21 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-11-04 15:13:16 UTC
Created attachment 6205 [details] [review]
Bug 7116: White space on item form for bulk ordering from staged file

Same fix that was done for normal order page and receive page.
Moving the style element for hiding the subfield into the li tag.

AcqCreateItem = on order

To recreate:
1) stage a marc file with 1 - many records
2) make sure you have an acq framework with hidden fields in 952
3) create new basket
4) order from your marc file
5) check item form below the record list for white space

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Followed the steps outlined by Katrin above. Before the patch there are gaping
holes left by the hidden fields. After the patch the holes are gone.
Comment 3 Magnus Enger 2011-11-04 15:17:49 UTC
Thanks for the great test plan!
Comment 4 Marcel de Rooy 2011-12-07 13:39:13 UTC
QA: Small change in template only. Looks good. Changed from enhancement to minor bug fix. Updating patch status.
Comment 5 Paul Poulain 2011-12-08 10:53:42 UTC
patch pushed, please test